Bug 429402 - Plasmaconnect still crashes when using pointer button in slideshow menu
Summary: Plasmaconnect still crashes when using pointer button in slideshow menu
Status: RESOLVED DOWNSTREAM
Alias: None
Product: kdeconnect
Classification: Unclassified
Component: common (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Albert Vaca
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2020-11-20 17:10 UTC by antiheld.dlehitna+kdebugs
Modified: 2021-02-22 16:19 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (9.78 KB, patch)
2020-11-20 17:18 UTC, antiheld.dlehitna+kdebugs
Details
New crash information added by DrKonqi (10.44 KB, patch)
2020-12-16 13:38 UTC, Mathis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description antiheld.dlehitna+kdebugs 2020-11-20 17:10:14 UTC
Application: kdeconnectd (1.4.0)

Qt Version: 5.12.8
Frameworks Version: 5.68.0
Operating System: Linux 5.4.0-54-generic x86_64
Windowing system: X11
Distribution: Ubuntu 20.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:
I was exploring the slideshow menu of the kdeconnect App on my Samsung S8 when I tapped on the button labeled  "Pointer".
This let to kdeconnectd crashing instantly.

I tried this multiple times (at least 10) and it crashes every time.

There seem to be multiple similar reports, however the issue is reported fixed, which is obviously not the case (did the bug reappear in a later update maybe?)

I hope you will take the time to try and fix this or at least give me advice on how to fix it on my end.

The crash can be reproduced every time.

-- Backtrace:
Application: KDE Connect Daemon (kdeconnectd), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f13219e1800 (LWP 18732))]

Thread 4 (Thread 0x7f12fcc1d700 (LWP 18850)):
#0  __GI___libc_read (nbytes=16, buf=0x7f12fcc1cb70, fd=34) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=34, buf=0x7f12fcc1cb70, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f1323d2189f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1323cd8cfe in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f1323cd9152 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f1323cd92e3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f1325563583 in QEventDispatcherGlib::processEvents (this=0x7f12f8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#7  0x00007f132550a4db in QEventLoop::exec (this=this@entry=0x7f12fcc1cd80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#8  0x00007f1325342785 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#9  0x00007f131b7aa1a9 in ?? () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#10 0x00007f13253439d2 in QThreadPrivate::start (arg=0x555b695bda30) at thread/qthread_unix.cpp:361
#11 0x00007f132459a609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007f1324fd2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f1319dca700 (LWP 18735)):
#0  0x00007f1323d02e94 in g_thread_self () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f1323cd92d3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1325563583 in QEventDispatcherGlib::processEvents (this=0x7f130c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#3  0x00007f132550a4db in QEventLoop::exec (this=this@entry=0x7f1319dc9da0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#4  0x00007f1325342785 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#5  0x00007f13253439d2 in QThreadPrivate::start (arg=0x555b692a5dd0) at thread/qthread_unix.cpp:361
#6  0x00007f132459a609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f1324fd2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f131afdb700 (LWP 18734)):
#0  0x00007f1325342e8a in QThreadData::current (createIfNecessary=createIfNecessary@entry=true) at thread/qthread_unix.cpp:240
#1  0x00007f132556344e in postEventSourcePrepare (s=0x7f1314004bc0, timeout=0x7f131afdaba4) at kernel/qeventdispatcher_glib.cpp:252
#2  0x00007f1323cd872f in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1323cd90db in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f1323cd92e3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f1325563583 in QEventDispatcherGlib::processEvents (this=0x7f1314000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0x00007f132550a4db in QEventLoop::exec (this=this@entry=0x7f131afdad70, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#7  0x00007f1325342785 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#8  0x00007f13257e5efa in ?? () from /lib/x86_64-linux-gnu/libQt5DBus.so.5
#9  0x00007f13253439d2 in QThreadPrivate::start (arg=0x7f1325868d80) at thread/qthread_unix.cpp:361
#10 0x00007f132459a609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#11 0x00007f1324fd2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f13219e1800 (LWP 18732)):
[KCrash Handler]
#6  0x00007f132553fdbb in qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> > > (ptr=...) at kernel/qobject.cpp:3914
#7  QObject::d_func (this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:121
#8  QObject::setProperty (this=this@entry=0x0, name=name@entry=0x7f131aff712c "xPos", value=...) at kernel/qobject.cpp:3915
#9  0x00007f131aff610f in PresenterPlugin::receivePacket (this=0x555b6935e410, np=...) at ./plugins/presenter/presenterplugin.cpp:107
#10 0x00007f13269fc570 in Device::privateReceivedPacket (this=<optimized out>, np=...) at ./core/device.cpp:411
#11 0x00007f1325537458 in QtPrivate::QSlotObjectBase::call (a=0x7ffcc71bae30, r=0x555b693556a0, this=0x555b6935e2f0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#12 QMetaObject::activate (sender=0x555b693b9a60, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3784
#13 0x00007f13269b57f9 in DeviceLink::receivedPacket (this=this@entry=0x555b693b9a60, _t1=...) at ./obj-x86_64-linux-gnu/core/kdeconnectcore_autogen/CSWKE6ESUK/moc_devicelink.cpp:224
#14 0x00007f13269ceb8a in LanDeviceLink::dataReceived (this=0x555b693b9a60) at ./core/backends/lan/landevicelink.cpp:149
#15 0x00007f1325537458 in QtPrivate::QSlotObjectBase::call (a=0x7ffcc71baff0, r=0x555b693b9a60, this=0x555b6949a910) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#16 QMetaObject::activate (sender=0x555b694def40, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3784
#17 0x00007f13269d8cf8 in SocketLineReader::dataReceived (this=0x555b694def40) at ./core/backends/lan/socketlinereader.cpp:51
#18 0x00007f1325537458 in QtPrivate::QSlotObjectBase::call (a=0x7ffcc71bb110, r=0x555b694def40, this=0x555b69578320) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#19 QMetaObject::activate (sender=0x7f130c00be70, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3784
#20 0x00007f1324d3c032 in QSslSocketBackendPrivate::transmit (this=0x555b6938afa0) at ssl/qsslsocket_openssl.cpp:883
#21 0x00007f1324d15d73 in QSslSocket::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ssl/qsslsocket.h:216
#22 0x00007f1325537300 in QMetaObject::activate (sender=0x555b693b9a40, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3804
#23 0x00007f1324cd8854 in QAbstractSocketPrivate::emitReadyRead (this=this@entry=0x555b695c2ff0, channel=channel@entry=0) at socket/qabstractsocket.cpp:1307
#24 0x00007f1324cd88ef in QAbstractSocketPrivate::canReadNotification (this=0x555b695c2ff0) at socket/qabstractsocket.cpp:734
#25 0x00007f1324ceae29 in QReadNotifier::event (this=<optimized out>, e=<optimized out>) at socket/qnativesocketengine.cpp:1274
#26 0x00007f132606ca66 in QApplicationPrivate::notify_helper (this=this@entry=0x555b69230e80, receiver=receiver@entry=0x555b693f45b0, e=e@entry=0x7ffcc71bc5e0) at kernel/qapplication.cpp:3700
#27 0x00007f13260760f0 in QApplication::notify (this=0x7ffcc71bc8b0, receiver=0x555b693f45b0, e=0x7ffcc71bc5e0) at kernel/qapplication.cpp:3446
#28 0x00007f132550b93a in QCoreApplication::notifyInternal2 (receiver=0x555b693f45b0, event=0x7ffcc71bc5e0) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:142
#29 0x00007f13255641c5 in socketNotifierSourceDispatch (source=0x555b69244d20) at kernel/qeventdispatcher_glib.cpp:106
#30 0x00007f1323cd8fbd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007f1323cd9240 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007f1323cd92e3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007f1325563565 in QEventDispatcherGlib::processEvents (this=0x555b69298100, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#34 0x00007f132550a4db in QEventLoop::exec (this=this@entry=0x7ffcc71bc7f0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#35 0x00007f1325512246 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#36 0x0000555b689aee78 in main (argc=<optimized out>, argv=<optimized out>) at ./daemon/kdeconnectd.cpp:180
[Inferior 1 (process 18732) detached]

Possible duplicates by query: bug 422615, bug 420613, bug 420158, bug 418076, bug 415425.

Reported using DrKonqi
Comment 1 antiheld.dlehitna+kdebugs 2020-11-20 17:18:15 UTC
Created attachment 133502 [details]
New crash information added by DrKonqi

kdeconnectd (1.4.0) using Qt 5.12.8

Additional Backtrace infos added.

-- Backtrace (Reduced):
#8  QObject::setProperty (this=this@entry=0x0, name=name@entry=0x7f0578da212c "xPos", value=...) at kernel/qobject.cpp:3915
#9  0x00007f0578da110f in PresenterPlugin::receivePacket (this=0x55b84fcc5820, np=...) at ./plugins/presenter/presenterplugin.cpp:107
#10 0x00007f05867e6570 in Device::privateReceivedPacket (this=<optimized out>, np=...) at ./core/device.cpp:411
#11 0x00007f0585321458 in QtPrivate::QSlotObjectBase::call (a=0x7fffc6accfc0, r=0x55b84fc37c70, this=0x55b84fca0470) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
[...]
#13 0x00007f058679f7f9 in DeviceLink::receivedPacket (this=this@entry=0x55b84fc9fd20, _t1=...) at ./obj-x86_64-linux-gnu/core/kdeconnectcore_autogen/CSWKE6ESUK/moc_devicelink.cpp:224
Comment 2 Mathis 2020-12-16 13:38:16 UTC
Created attachment 134118 [details]
New crash information added by DrKonqi

kdeconnectd (1.4.0) using Qt 5.12.8

Definitively a duplicate, but debug symbol list is complete. Not that it is hard to reproduce ;) :)
See other report: Just Pair, go into slideshow mode, click "Pointer" -> Crash

-- Backtrace (Reduced):
#8  QObject::setProperty (this=this@entry=0x0, name=name@entry=0x7fe32dbf712c "xPos", value=...) at kernel/qobject.cpp:3915
#9  0x00007fe32dbf610f in PresenterPlugin::receivePacket (this=0x557fdc520c80, np=...) at ./plugins/presenter/presenterplugin.cpp:107
#10 0x00007fe33b511570 in Device::privateReceivedPacket (this=<optimized out>, np=...) at ./core/device.cpp:411
#11 0x00007fe33a04c458 in QtPrivate::QSlotObjectBase::call (a=0x7ffcd1f34350, r=0x557fdc45f250, this=0x557fdc4ab990) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
[...]
#13 0x00007fe33b4ca7f9 in DeviceLink::receivedPacket (this=this@entry=0x557fdc4aad80, _t1=...) at ./obj-x86_64-linux-gnu/core/kdeconnectcore_autogen/CSWKE6ESUK/moc_devicelink.cpp:224
Comment 3 Nicolas Fella 2021-02-22 16:19:52 UTC
Make sure the qml-module-qtquick-particles2 package is installed